<?php
// Author: Kenneth C.K. Leung
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: addressbookCommon.php,v 1.18.2.4 2001/12/14 05:08:19 pmartin Exp $

include("ServerScriptHelper.php");
include("uifc/Button.php");
include("ArrayPacker.php");
include("uifc/ImageButton.php");

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();
// get the hostname
$system = $cceClient->getObject("System");
$hostname = $system["hostname"] . "." . $system["domainname"];
$factory = $serverScriptHelper->getHtmlComponentFactory("base-addressbook", "/base/addressbook/addressbookCommon.php");
$i18n = $serverScriptHelper->getI18n("base-addressbook");

$page = $factory->getPage();

$scrollList = $factory->getScrollList("addressbookCommon", array("fullname","username", "userdesc", "listAction"),array(1));
$scrollList->setAlignments(array("left", "left", "left", "center"));
$scrollList->setColumnWidths(array("30%", "20%", "35%", "15%"));

// copy speed up from Kevin's changes in userList.php
// disable sorting
$scrollList->setSortEnabled(false);

// find sort key
$sortKeyMap = array(1 => "name");
$sortKey = $sortKeyMap[$scrollList->getSortedIndex()];

// find page length
$pageLength = $scrollList->getLength();

// find start point
$start = $scrollList->getPageIndex()*$pageLength;

$oids = $cceClient->findSorted("User", $sortKey);

// sort in the right direction
if($scrollList->getSortOrder() == "descending")
  $oids = array_reverse($oids);

// set num entries to number of users
$scrollList->setEntryNum(count($oids));

for($i = $start; $i < count($oids) && $i < $start+$pageLength; $i++) {
  $addressbookUser = $cceClient->get($oids[$i]);
  $addressbookEntry = $cceClient->get($oids[$i], "AddressbookEntry");

  $emailPart = $addressbookUser["name"] . "@" . $hostname;
  $fullname = $factory->getTextField("", $addressbookUser["fullName"],"r");
  $username = $factory->getTextField("", $addressbookUser["name"],"r");

  // this sequence needs to get pushed to a common place
  $desc = $factory->getTextField("", 
	$i18n->interpolate($addressbookUser["description"]), "r");
  $desc->setMaxLength(1000);

  $actions = $factory->getCompositeFormField();
  $actions->addFormField(new ImageButton($page, "/base/addressbook/addressbookCommonView.php?oid=$oids[$i]","/libImage/detail.gif", "view", "view_help"));
  $actions->addFormField(new ImageButton($page, "/base/webmail/compose.php?toAddy=".rawurlencode($addressbookUser["fullName"] . " <" . $emailPart . ">"),"/libImage/composeEmail.gif", "mail", "mail_help"));
  $userHomepage = "http://$hostname/~" . $addressbookUser["name"] . "/";
  $userHomepageWindowname = $addressbookUser["name"] . "homepage";
  $homePageButton = new ImageButton($page, "$userHomepage", "/libImage/visitWebsite.gif", "web", "web_help");
  $homePageButton->setTarget($userHomepageWindowname);
  $actions->addFormField($homePageButton);
  $scrollList->addEntry(array($fullname,$username, $desc, $actions), "", false, $i);
}

$serverScriptHelper->destructor();
?>
<?php print($page->toHeaderHtml()); ?>
<?php print($scrollList->toHtml()); ?>
<?php print($page->toFooterHtml()); ?>

