<?
// Author: Kenneth C.K. Leung
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: addressbookCommonView.php,v 1.10 2000/09/17 10:50:46 pbaltz Exp $

include("ServerScriptHelper.php");
include("ArrayPacker.php");

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();
$factory = $serverScriptHelper->getHtmlComponentFactory("base-addressbook", "/base/addressbook/addressbookPrivateModifyHandler.php");

// get the hostname for emails..
$system = $cceClient->getObject("System");
$hostname = ($system["hostname"] ? $system["hostname"] . "." : "") . $system["domainname"];

// get defaults
$page = $factory->getPage();
$block = $factory->getPagedBlock("addressbookCommonView");
$defaults = $cceClient->get($oid, "AddressbookEntry");
$defaultsUser = $cceClient->get($oid);

$fullname = $factory->getFullname("fullname",$defaultsUser["fullName"],"r");
$block->addFormField($fullname, $factory->getLabel("fullname"));

$email = $factory->getTextField("email", $defaultsUser["name"] . "@" . $hostname,"r");
$block->addFormField($email, $factory->getLabel("email"));

$phone = $factory->getTextField("phone", $defaults["phone"],"r");
$block->addFormField($phone, $factory->getLabel("phone"));

$fax = $factory->getTextField("fax", $defaults["fax"],"r");
$block->addFormField($fax, $factory->getLabel("fax"));

if ($defaults["homeUrl"]=="") {
	$defaults["homeUrl"] = "http://$hostname/~" . $defaultsUser["name"];
}

// prepend http:// or browser gets confused
if(!eregi("^http://", $defaults["homeUrl"]))
	$homepage = "http://" . $defaults["homeUrl"];
else
	$homepage = $defaults["homeUrl"];

$homeUrl = $factory->getUrl("homeUrl", ($homepage?$homepage:"javascript: void(0)"), $defaults["homeUrl"], "_window","r");
$block->addFormField($homeUrl, $factory->getLabel("homeUrl"));

$address = $factory->getTextBlock("address", $defaults["address"],"r");
$block->addFormField($address, $factory->getLabel("address"));

$remarks = $factory->getTextBlock("remarks", $defaultsUser["description"],"r");
$block->addFormField($remarks, $factory->getLabel("userdesc"));

$oid = $factory->getTextField("oid",$oid,"");

$block->addButton($factory->getBackButton("/base/addressbook/addressbookCommon.php"));
$serverScriptHelper->destructor();
?>
<?php print($page->toHeaderHtml()); ?>
<?php print($block->toHtml()); ?>
<?php print($oid->toHtml()); ?>
<?php print($page->toFooterHtml()); ?>




