<?php
// Author: Kenneth C.K. Leung, Mike Waychison
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: addressbookPrivate.php,v 1.10 2001/02/16 17:37:21 will Exp $

include("ServerScriptHelper.php");
include("./addressbookPrivateCommon.php");
include("uifc/Button.php");
include("uifc/ImageButton.php");
include("ArrayPacker.php");

$serverScriptHelper = new ServerScriptHelper();
$factory = $serverScriptHelper->getHtmlComponentFactory("base-addressbook", "/base/addressbook/addressbookPrivate.php");
$i18n = $serverScriptHelper->getI18n("base-addressbook");

$page = $factory->getPage();

$scrollList = $factory->getScrollList("addressbookPrivate", array("fullname","email","phone","listAction"),array(1,2));
$scrollList->addButton($factory->getAddButton("/base/addressbook/addressbookPrivateAdd.php"));
$scrollList->setAlignments(array("left", "left", "center", "left"));
$scrollList->setColumnWidths(array("280", "230", "", "1%"));

$addys = addressBookGetall($serverScriptHelper);

for($i = 0; $i < count($addys); $i++) {
  $addressbookEntry = $addys[$i];

  $fullname = $factory->getTextField("", $addressbookEntry[$FULLNAME],"r");
  $email = $factory->getTextField("", $addressbookEntry[$EMAIL],"r");
  $phone = $factory->getTextField("", $addressbookEntry[$PHONE],"r");
  $actions = $factory->getCompositeFormField();
  $actions->addFormField($factory->getModifyButton("/base/addressbook/addressbookPrivateModify.php?oid=$addressbookEntry[$ID]"));
  $actions->addFormField($factory->getRemoveButton("javascript: confirmRemove('".$addressbookEntry[$ID]. "', '" . $addressbookEntry[$FULLNAME] . "')"));
  if ($addressbookEntry[$EMAIL]) $actions->addFormField(new ImageButton($page,"/base/webmail/compose.php?toAddy=".rawurlencode($addressbookEntry[$EMAIL]),"/libImage/composeEmail.gif", "mail", "mail_help"));
  $scrollList->addEntry(array($fullname,$email,$phone,$actions));
}

$serverScriptHelper->destructor();
?>
<?php print($page->toHeaderHtml()); ?>

<SCRIPT LANGUAGE="javascript">
function confirmRemove(oid, fullname) {
  var message = "<?php print($i18n->get("removeAddressbookPrivateConfirm"))?>";
  message = top.code.string_substitute(message, "[[VAR.fullname]]", fullname);

  if(confirm(message))
    location = "/base/addressbook/addressbookPrivateRemoveHandler.php?oid="+oid;
}
</SCRIPT>
<?php print($scrollList->toHtml()); ?>
<?php print($page->toFooterHtml()); ?>
